org.eclipse.net4j.util.container.delegate

## Class ContainerQueue<E>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>
    - - org.eclipse.net4j.util.container.delegate.ContainerCollection<E>
      - - org.eclipse.net4j.util.container.delegate.ContainerQueue<E>

- All Implemented Interfaces:
    java.lang.Iterable<E>, java.util.Collection<E>, java.util.Queue<E>, IContainerCollection<E>, IContainerQueue<E>, IContainer<E>, INotifier
  Direct Known Subclasses:
    ContainerBlockingQueue

      public class ContainerQueue<E>
      extends ContainerCollection<E>
      implements IContainerQueue<E>

  A default implementation of a `container queue`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `AbstractDelegator.DelegatingIterator`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerQueue(java.util.Queue<E> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `element()`
    `java.util.Queue<E>` | `getDelegate()`
    `boolean` | `offer(E o)`
    `E` | `peek()`
    `E` | `poll()`
    `E` | `remove()`

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.ContainerCollection

      `add, addAll, clear, contains, containsAll, equals, getElements, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.util.Queue

      `add`

    - ### Methods inherited from interface java.util.Collection

      `addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ContainerQueue

          public ContainerQueue(java.util.Queue<E> delegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.Queue<E> getDelegate()

      Specified by:
        `getDelegate` in interface `IContainerCollection<E>`
      Specified by:
        `getDelegate` in interface `IContainerQueue<E>`
      Overrides:
        `getDelegate` in class `ContainerCollection<E>`

    - #### element

          public E element()

      Specified by:
        `element` in interface `java.util.Queue<E>`
      Category
        READ

    - #### offer

          public boolean offer(E o)

      Specified by:
        `offer` in interface `java.util.Queue<E>`
      Category
        WRITE

    - #### peek

          public E peek()

      Specified by:
        `peek` in interface `java.util.Queue<E>`
      Category
        READ

    - #### poll

          public E poll()

      Specified by:
        `poll` in interface `java.util.Queue<E>`
      Category
        WRITE

    - #### remove

          public E remove()

      Specified by:
        `remove` in interface `java.util.Queue<E>`
      Category
        WRITE

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html